curl --request GET \
--url https://api-sandbox.synctera.com/v0/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"available_versions": [
123
],
"available_versions_info": [
{
"creation_time": "2010-05-06T12:23:34.321Z",
"file_name": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"version": 123
}
],
"batch_id": "<string>",
"creation_time": "2010-05-06T12:23:34.321Z",
"deletion_reason": "<string>",
"description": "<string>",
"encryption": "NOT_REQUIRED",
"file_name": "<string>",
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"name": "<string>",
"related_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_resource_type": "ACCOUNT",
"tenant": "abcdef_ghijkl",
"type": "ADDRESS_VERIFICATION",
"version": 123
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List documents
Returns a paginated list of documents (metadata only, not contents).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return documents that are related to resources with the specified ID
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Return documents that are related to batch with the specified ID
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
The type of documents. Multiple types can be provided as a comma-separated list.
The type of the document. The type can be changed after the document is created, except that a non-encrypted document cannot be changed to a type that requires encryption.
ADDRESS_VERIFICATION, APPLICATION_DOCUMENTATION, BILLING_DOCUMENT, CHECK_IMAGE, COMPANY_PROFILE_DOCUMENT, COMPLIANCE_REPORT, DATE_OF_BIRTH_VERIFICATION, FINANCIAL_FILE, IDENTITY_DOCUMENTATION, INCOME_DOCUMENTATION, STATEMENT, STATEMENT_DISCLOSURE, TAX_FORM, TERMS_OF_SERVICE Whether the file should be encrypted and access restricted, e.g. if the file contains PII
NOT_REQUIRED, REQUIRED Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique resource identifier
Return documents that are related to resources of the specified type The type of the resource related to the document
ACCOUNT, BUSINESS, CUSTOMER, EDD, INVOICE, REVENUE_STATEMENT Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

